@mixin transparent-border {
  border:transparent;
}

@mixin round-border {
  border-radius: 2px;
  border:1px solid rgba(34,36,38,.15);
  transition: border-color 0.5s ease;
}


.ui.dimmer{

  &:not(.inverted){
      display: block;
      opacity:1;
      background: transparent;
      bottom:0;
      position:fixed;
  }

  &.visible{
      display:block !important;
  }

  .overlay{
      position:absolute;
      z-index: 2;
      top:0;
      left: 0;
      right:0;
      bottom:0;
      background: radial-gradient(#40404b, #111118) rgba(34,34,40,0.94);
      opacity:0.9;
  }

  &.inverted{
      border-bottom-left-radius: 5px;
      border-bottom-right-radius: 5px;
  }
}

.login-form-wrapper {
  position:absolute;
  z-index: 3;
  top:0;
  left: 0;
  right:0;
  bottom:0;
  display: flex;
  justify-content: center;
  align-items: center;
}
.login-form {
  width:325px;
  display: flex;
  flex-flow: column;
  border-radius: 6px;
  background: white;
  position: relative;

  .header{
      border-top-left-radius: 5px;
      border-top-right-radius: 5px;
      padding: 25px 0;
      background: #31313b;
      position: relative;

      img {
          margin-bottom: 7px;
      }

      span {
          font-size: 28px;
          color: #fff;
          font-family: "Helvetica";

          &.back, &.close {
              display: flex;
              justify-content: center;
              align-items: center;
              position:absolute;
              height:22px;
              width: 22px;
              top:14px;
              border-radius: 11px;
              background-color: white;
              box-shadow: 0 1px 3px rgba(0,0,0,0.5);
              cursor:pointer;

              i{
                  color: #3E4551;
                  font-size: 12px;
                  margin: 0;
              }
          }
          &.back {
              left:14px;
          }
          &.close {
              right:14px;
          }
      }
  }

  .header-inner-wrapper {
      display: flex;
      justify-content: center;
      flex-flow: column;
      align-items: center;
  }

  .body {
      overflow: hidden;
      position: relative;

      .tabs-buttons {
          display:flex;
          justify-content: space-between;

          a {
              width: 50%;
              padding: 15px 0;
              cursor: pointer;
              font-family: "Helvetica";
              font-weight: 500;
              color: #333;

              &.active {
                  box-shadow: 0 1px 0 0 #5c666f;
              }

          }

      }

      .body-inner-wrapper{
          display: flex;
          justify-content: space-between;
          width: 200%;

          > div{
              width: 50%;
              margin-left: auto;
          }
      }


      .tab {

          padding:20px;
          color: #000;
      }

      .form-wrapper {
          input {
              @include transparent-border();
              border-top-right-radius: 2px;
              border-bottom-right-radius: 2px;

              &:focus{
                  @include transparent-border();
              }

          }

          .field .ui.labeled.input{
              @include round-border();
              // @mixin  {
              //     border-radius: 2px;
              //     border:1px solid rgba(34,36,38,.15);
              //     transition: border-color 0.5s ease;
              // }
          }

      }

  }

  .body-wrapper {
      position:relative;
      display: flex;
      flex-flow: column;
  }

  .login-button{
      padding:25px 0;
      border-bottom-right-radius: 5px;
      border-bottom-left-radius: 5px;
      background-color: #eb5424;
      cursor: pointer;
      font-size: 18px;
      text-transform: uppercase;
      color: #fff;

      &:hover {
          background-color: #CA3F12;
      }
  }

  .password-remainder {

      input, input:focus{
          @include transparent-border();
      }

      .ui.labeled.input {
          @include round-border();
      }
  }

}

.focused {
  border: 1px solid #a0a0a0 !important;
}

//=======================




.login-form .body .form-wrapper .field .ui.labeled.input i {
  margin:0;
}
.login-form .body .form-wrapper .field:last-of-type .ui.labeled.input i {
  width:14px;
}


.login-form .body .form-wrapper .ui.label,
.login-form .password-remainder .ui.label {
  border-top-left-radius: 2px;
  border-bottom-left-radius: 2px;
}

.login-form .body .social-buttons > div {
 display:block;
 margin-right: 0;
 color: white;
 text-align: left;
 text-transform: uppercase;
}
.login-form .body .social-buttons > div:not(:last-child) {
  margin-bottom: 10px;
}
.login-form .body .social-buttons > div i {
  opacity:1;
  background-color:rgba(0,0,0,.25)
}
.login-form .body .social-buttons > div:first-child {
  background-color: #DD4B39;
}
.login-form .body .social-buttons > div:first-child:hover{
  background-color: #c73e2d;
}
.login-form .body .social-buttons > div:nth-child(2) {
  background-color: #3b5998;
}
.login-form .body .social-buttons > div:nth-child(2):hover{
  background-color: #2d4b8a;

}
.login-form .body .social-buttons > div:nth-child(3) {
  background-color: #1da1f2;
}
.login-form .body .social-buttons > div:nth-child(3):hover{
  background-color: #1b91da;
}

.login-form .body .social-buttons > div:last-child {
  background-color: #0077b5;
}
.login-form .body .social-buttons > div:last-child:hover{
  background-color: #01689e;
}
.login-form .body .forgot-password {
  margin:0;
  cursor: pointer;
  padding: 20px 0;
  line-height: 1.3
}

.login-form .password-remainder {
  padding:22px 20px;

}
.login-form .password-remainder p {
  color: rgba(0,0,0,0.54);
  margin-top: 0;
}

.login-form .terms {
  padding: 10px;
  line-height: 1.4;
  background-color: #eee;
}
.login-form .error_message {
  padding: 10px 0;
  background-color: #ff3e00;
  color: white;
  text-align: center;
  text-transform: uppercase;
}

.ui.input.error {
  border-color: #e0b4b4 !important;
}

.ui.input.error input {
  background-color: #fff6f6;
  border-color: #e0b4b4 !important;
  color: #9f3a38;
  box-shadow: none;
}
